﻿using System;

namespace FCS.Models
{
    //足球球队
    [Table("F_Team")]
    public class F_Team
    {
        /// <summary>
        /// 编码int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 所在城市
        /// </summary>
        public string CityName { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string Describe { get; set; }

        /// <summary>
        /// 荣誉
        /// </summary>
        public string Honor { get; set; }

        /// <summary>
        /// 场馆
        /// </summary>
        public string Venue { get; set; }

        /// <summary>
        /// 教练
        /// </summary>
        public string Coach { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 建立时间
        /// </summary>
        public string SetUpDateTime { get; set; }

        /// <summary>
        /// 优势(这里采用json对象的方式存储)
        /// </summary>
        public string Advantage { get; set; }

        /// <summary>
        /// 风格(这里采用json对象的方式存储)
        /// </summary>
        public string Style { get; set; }

        /// <summary>
        /// 弱点(这里采用json对象的方式存储)
        /// </summary>
        public string Weaknesses { get; set; }

        /// <summary>
        /// 官网
        /// </summary>
        public string Website { get; set; }

        /// <summary>
        /// 用以存储logo
        /// </summary>
        public string LogoImage { get; set; }

        /// <summary>
        /// 赛事编码
        /// </summary>
        public string EventId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; } = DateTime.Now;

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}