﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.Entity
{
    [Table("B_PlayersStatistics")]
    //篮球球员统计
    public class B_PlayersStatistics
    {

        /// <summary>
        /// 编码Int
        /// </summary>		
        public int PK { get; set; }
        /// <summary>
        /// 编码Guid
        /// </summary>		
        public string Id { get; set; }
        /// <summary>
        /// 赛季
        /// </summary>		
        public string Season { get; set; }
        /// <summary>
        /// 赛事编码
        /// </summary>		
        public string EventId { get; set; }
        /// <summary>
        /// 分组编码
        /// </summary>		
        public string GroupingId { get; set; }
        /// <summary>
        /// 统计类型名称
        /// </summary>		
        public string StatisticTypeName { get; set; }
        /// <summary>
        /// 球员编码
        /// </summary>		
        public string PlayerId { get; set; }
        /// <summary>
        /// 球员名称
        /// </summary>		
        public string PlayerName { get; set; }
        /// <summary>
        /// 球队编码
        /// </summary>		
        public string TeamId { get; set; }
        /// <summary>
        /// 球队名称
        /// </summary>		
        public string TeamName { get; set; }
        /// <summary>
        /// 参赛数
        /// </summary>		
        public int Sum { get; set; }
        /// <summary>
        /// 总得分（篮板总数）
        /// </summary>		
        public string TotalScore { get; set; }
        /// <summary>
        /// 平均得分（平均篮板）
        /// </summary>		
        public string AvgScore { get; set; }
        /// <summary>
        /// 总投篮(投三分、罚球数、进攻篮板、助攻总数、盖帽总数、抢断总数、失误总数、犯规总数、得两双数、得三双数)
        /// </summary>		
        public string TotalShooting { get; set; }
        /// <summary>
        /// 命中数(三分命中、罚球命中、防守篮板、平均 助攻、平均盖帽、平均抢断、平均失误、平均犯规、两双概率、三双概率)
        /// </summary>		
        public string HitNumber { get; set; }
        /// <summary>
        /// 命中率
        /// </summary>		
        public string HitRate { get; set; }
        /// <summary>
        /// 排名
        /// </summary>		
        public int Sort { get; set; }
        /// <summary>
        /// 备注
        /// </summary>		
        public string Remark { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>		
        public DateTime CreateDateTime { get; set; }

    }
}
