﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models.Entity
{
    /// <summary>
    /// 大小盘路
    /// </summary>
    [Table("B_SizeBallRanking")]
    public class B_SizeBallRanking
    {
        /// <summary>
        /// 
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 球队
        /// </summary>
        public string TeamId { get; set; }
        /// <summary>
        /// 赛事
        /// </summary>
        public string EventId { get; set; }
        /// <summary>
        /// 赛季
        /// </summary>
        public string Season { get; set; }

        /// <summary>
        /// 类型
        /// </summary>
        public string SizeBallType { get; set; }
        /// <summary>
        /// 总比赛数
        /// </summary>
        public int Sum { get; set; }
        /// <summary>
        /// 大球数
        /// </summary>
        public int LargeNum { get; set; }
        /// <summary>
        /// 走球数
        /// </summary>
        public int GoNum { get; set; }
        /// <summary>
        /// 小球数
        /// </summary>
        public int SmallNum { get; set; }
        /// <summary>
        /// 大球%
        /// </summary>
        public string LargePercentage { get; set; }
        /// <summary>
        /// 走球%
        /// </summary>
        public string GoPercentage { get; set; }
        /// <summary>
        /// 小球%
        /// </summary>
        public string SmallPercentage { get; set; }

        /// <summary>
        /// 排行
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        ///备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public DateTime CreateDateTime { get; set; } = DateTime.Now;
    }
}
