﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FCS.Models
{
    [Table("F_Events")]
    public class F_Events
    {  
        /// <summary>
       /// 编码Int
       /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 对于赛事的赛制描述
        /// </summary>
        public string Describe { get; set; }

        /// <summary>
        /// 国家编码
        /// </summary>
        public string AreaId { get; set; }

        /// <summary>
        /// 标志图标
        /// </summary>
        public string LogoImage { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 分类type
        /// </summary>
        public string EventType { get; set; }
    }
}
