﻿using System;

namespace FCS.Models
{
    //F_Four
    public class F_Four
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 赛事编码
        /// </summary>
        public string EventId { get; set; }

        /// <summary>
        /// 主队编码
        /// </summary>
        public string HomeTeamId { get; set; }

        /// <summary>
        /// 客队编码
        /// </summary>
        public string VisitingTeamId { get; set; }
        /// <summary>
        /// 主队名称
        /// </summary>
        /// <returns></returns>
        public string HomeTeamName { get; set; }
        /// <summary>
        /// 客队名称
        /// </summary>
        /// <returns></returns>
        public string VisitingTeamName { get; set; }

        /// <summary>
        /// 期数
        /// </summary>
        public int Session { get; set; }

        /// <summary>
        /// 比赛时间
        /// </summary>
        public DateTime StartDateTime { get; set; }

        /// <summary>
        /// 欧赔——胜
        /// </summary>
        public double Compensate_SOdd { get; set; }

        /// <summary>
        /// 欧赔——平
        /// </summary>
        public double Compensate_POdd { get; set; }

        /// <summary>
        /// 欧赔——负
        /// </summary>
        public double Compensate_FOdd { get; set; }

        /// <summary>
        /// 亚盘——主
        /// </summary>
        public double AsianDish_SOdd { get; set; }

        /// <summary>
        /// 亚盘——盘
        /// </summary>
        public string AsianDish_Disc { get; set; }

        /// <summary>
        /// 亚盘——客
        /// </summary>
        public double AsianDish_FOdd { get; set; }

        /// <summary>
        /// 赛果
        /// </summary>
        public string Result { get; set; }

        /// <summary>
        /// 彩果
        /// </summary>
        public string ColourFruit { get; set; }
        /// <summary>
        /// 彩果
        /// </summary>
        public string HalfColourFruit { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}