﻿using System;
namespace FCS.Models
{
    //对于某个赛事下的分组,,因为每个赛事的比赛形式不一样
    [Table("F_Grouping")]
    public class F_Grouping
    {
        /// <summary>
        /// 编码Int
        /// </summary>		
        public int PK { get; set; }
        /// <summary>
        /// 编码Guid
        /// </summary>		
        public string Id { get; set; }
        /// <summary>
        /// 名称
        /// </summary>		
        public string Name { get; set; }
        /// <summary>
        /// 父编码
        /// </summary>		
        public string ParentId { get; set; }
        /// <summary>
        /// 枚举（用以区分是哪个赛事）
        /// </summary>		
        public string EventType { get; set; }
        /// <summary>
        /// 赛事编码
        /// </summary>		
        public string EventId { get; set; }
        /// <summary>
        /// 赛季
        /// </summary>		
        public string Season { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>		
        public DateTime? CreateDateTime { get; set; }
        /// <summary>
        /// 排序
        /// </summary>		
        public int Sort { get; set; }
        /// <summary>
        /// 备注
        /// </summary>		
        public string Remark { get; set; }
    }
}