﻿using System;

namespace FCS.Models
{
    //F_Ranking
    public class F_Ranking
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 球队编码
        /// </summary>
        public string TeamId { get; set; }

        /// <summary>
        /// 分组名称（用以前端显示）
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 类型（枚举）
        /// </summary>
        public string RankType { get; set; }

        /// <summary>
        /// 赛事编码（附属于那个赛事）
        /// </summary>
        public string EventId { get; set; }

        /// <summary>
        /// 附属于那个赛季
        /// </summary>
        public string Season { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreatDateTime { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}