﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FCS.Models
{
    /// <summary>
    /// 上下单双model
    /// </summary>
    [Table("F_UpperLlowerSingleDoubleList")]
    public class F_UpperLlowerSingleDoubleList
    {

        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 球队编码
        /// </summary>
        public string TeamId { get; set; }
        /// <summary>
        /// 赛事类型
        /// </summary>
        public string EventType { get; set; }
        /// <summary>
        /// 赛事
        /// </summary>
        public string EventId { get; set; }
        /// <summary>
        /// 赛季
        /// </summary>
        public string Season { get; set; }

        /// <summary>
        /// 赛成数
        /// </summary>
        public int ScheduleNum { get; set; }

        /// <summary>
        /// 上下单双类别
        /// </summary>
        public string UpperLlowerSingleDoubleType { get; set; }

        /// <summary>
        /// 上单
        /// </summary>
        public int OrderUp { get; set; }

        /// <summary>
        /// 上双
        /// </summary>
        public int DoubleUp { get; set; }

        /// <summary>
        /// 下单
        /// </summary>
        public int OrderLower { get; set; }
        /// <summary>
        /// 下双
        /// </summary>
        public int DoubleLower { get; set; }

        /// <summary>
        /// 六轮走势
        /// </summary>
        public string SixRounds { get; set; }

        /// <summary>
        /// 排名
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }


        public DateTime CreateDateTime { get; set; } = DateTime.Now;
    }
}
