﻿using System;

namespace FCS.Models
{
    //F_Video
    public class F_Video
    {
        /// <summary>
        /// 编码Int
        /// </summary>
        public int PK { get; set; }

        /// <summary>
        /// 编码Guid
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 内容（富文本）
        /// </summary>
        public string Contents { get; set; }

        /// <summary>
        /// 视频的类型（枚举）
        /// </summary>
        public string VideoType { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDateTime { get; set; }

        /// <summary>
        /// 赛事编码
        /// </summary>
        public string EventId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 标题图
        /// </summary>
        public string TitleImg { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}